SDL_GetMouseState(3)

NAME
SDL_GetMouseState - Retrieve the current state of the mouse

SYNOPSIS

#include "SDL.h"

Uint8 SDL_GetMouseState(int *x, int *y);

DESCRIPTION

The current button state is returned as a button bitmask, which can be tested using the SDL_BUTTON(X) macros, and x and y are set to the current mouse cursor position. You can pass NULL for either x or y.

EXAMPLE

SDL_PumpEvents();
if(SDL_GetMouseState(NULL, NULL)&SDL_BUTTON(1))
  printf("Mouse Button 1(left) is pressed.
");

SEE ALSO

SDL_GetRelativeMouseState, SDL_PumpEvents